Main Page Class Hierarchy Compound List File List Compound Members File Members

# gdImageStruct Struct Reference

`#include <gd.h>`

List of all members.

## Public Attributes
unsigned char ** | pixels
int | sx
int | sy
int | colorsTotal
int | red [gdMaxColors]
int | green [gdMaxColors]
int | blue [gdMaxColors]
int | open [gdMaxColors]
int | transparent
int * | polyInts
int | polyAllocated
gdImageStruct * | brush
gdImageStruct * | tile
int | brushColorMap [gdMaxColors]
int | tileColorMap [gdMaxColors]
int | styleLength
int | stylePos
int * | style
int | interlace

## Member Data Documentation

int gdImageStruct::blue[gdMaxColors]

| Definition at line 48 of file gd.h.

struct gdImageStruct* gdImageStruct::brush

| Definition at line 53 of file gd.h.

int gdImageStruct::brushColorMap[gdMaxColors]

| Definition at line 55 of file gd.h.

int gdImageStruct::colorsTotal

| Definition at line 45 of file gd.h.

int gdImageStruct::green[gdMaxColors]

| Definition at line 47 of file gd.h.

int gdImageStruct::interlace

| Definition at line 60 of file gd.h.

int gdImageStruct::open[gdMaxColors]

| Definition at line 49 of file gd.h.

unsigned char** gdImageStruct::pixels

| Definition at line 42 of file gd.h.

int gdImageStruct::polyAllocated

| Definition at line 52 of file gd.h.

int* gdImageStruct::polyInts

| Definition at line 51 of file gd.h.

int gdImageStruct::red[gdMaxColors]

| Definition at line 46 of file gd.h.

int* gdImageStruct::style

| Definition at line 59 of file gd.h.

int gdImageStruct::styleLength

| Definition at line 57 of file gd.h.

int gdImageStruct::stylePos

| Definition at line 58 of file gd.h.

int gdImageStruct::sx

| Definition at line 43 of file gd.h.

int gdImageStruct::sy

| Definition at line 44 of file gd.h.

struct gdImageStruct* gdImageStruct::tile

| Definition at line 54 of file gd.h.

int gdImageStruct::tileColorMap[gdMaxColors]

| Definition at line 56 of file gd.h.

int gdImageStruct::transparent

| Definition at line 50 of file gd.h.

The documentation for this struct was generated from the following file:

- gd.h